data=read.csv('/home/simon/Projects/AgeMethylation/HEAA_PNAS/Data/Chittleborough1965data.csv')
par(mfrow=c(1,2),pty='s')

#Load data from test population
testData=read.csv('/home/simon/Projects/AgeMethylation/HumpbackAgeMethylationPaper/Data/EastCoastAustraliaSamplesCpGMeth.csv')
testData
id=testData$id
T1=testData$CDKN2A_1
T2=testData$TET_3
T3=testData$GRIA2_1

results <- c(1,length(T1))
for (a in 1:length(T1)){
  preds<-data.frame(C1=T1[a],C2=T2[a],C3=T3[a])
  p=predict(modelM,newdata=preds)
  pa=p[1]
  #if (pa < 0){pa=0}
  results[a]=pa
}

parse <- function(raw){
  X1=sum(raw[1:2])
  X2=sum(raw[3:4])
  X3=sum(raw[5:6])
  X4=sum(raw[7:8])
  X5=sum(raw[9:10])
  X6=sum(raw[11:12])
  X7=sum(raw[13:14])
  X8=sum(raw[15:16])
  X9=sum(raw[17:18])
  X10=sum(raw[19])
  Xall=c(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
  Xall=prop.table(Xall)
  return(Xall)
}

cats=c(0,6,10,14,18,22,26,30,34,38,42)
EH=results[results>1]
EH<-cut(EH,cats)
EHB<-summary(EH)
EH=as.numeric(EHB)
EH
EH=prop.table(EH)
EH<-c(EH)
EH=EH[1:10]

Age=data$AgeW
m52=data$X1952M
m53=data$X1953M
m54=data$X1954M
m55=data$X1955M
m56=data$X1956M
m57=data$X1957M
m58=data$X1958M
m59=data$X1959M
m60=data$X1960M
m61=data$X1961M
m62=data$X1962M

mean(m52)

f52=data$X1952F
f53=data$X1953F
f54=data$X1954F
f55=data$X1955F
f56=data$X1956F
f57=data$X1957F
f58=data$X1958F
f59=data$X1959F
f60=data$X1960F
f61=data$X1961F
f62=data$X1962F

mean(m52+f52)

y1952=parse(m52+f52)
y1953=parse(m53+f53)
y1954=parse(m54+f54)
y1955=parse(m55+f55)
y1956=parse(m56+f56)
y1957=parse(m57+f57)
y1958=parse(m58+f58)
y1959=parse(m59+f59)
y1960=parse(m60+f60)
y1961=parse(m61+f61)
y1962=parse(m62+f62)


maxAge=c(6,10,14,18,22,26,30,34,38,42)
halfAge=maxAge/2
plot(y1962~maxAge,type='l',col=4,lty=3,ylim=c(0.0,0.40),xlab='Age category maximum',ylab='Proportion',xaxp=c(6,42,9))
abline(v=(seq(2,100,4)), col="gray", lty="dotted")
abline(h=(seq(0,0.4,0.05)), col="gray", lty="dotted")
legend('topright',legend=c('Early fishery','Collapsing fishery','Final year of fishery','Recovering'),cex=0.6,lty=c(1,2,3,1),lwd=c(1,1,1,3),col=c('blue','blue','blue','red'))

lines(y1952~maxAge,type='l',col=4)
lines(y1953~maxAge,type='l',col=4)
lines(y1954~maxAge,type='l',col=4)
lines(y1955~maxAge,type='l',col=4)
lines(y1956~maxAge,type='l',col=4)
lines(y1957~maxAge,type='l',col=4)
lines(y1958~maxAge,type='l',col=4)
lines(y1959~maxAge,type='l',col=4)
lines(y1960~maxAge,type='l',col=4)
lines(y1961~maxAge,type='l',col=4,lty=2)
lines(EH~maxAge,type='l',col=2,lw=3)


