par(mfrow=c(1,2),pty='s')

#Load data from calibration population
udata=read.csv('/home/simon/Projects/AgeMethylation/HumpbackAgeMethylationPaper/Data/CalibrationSamplesCpGMeth.csv')
Age=udata$Age
C1=udata$CDK2NA_A
C2=udata$TET_C
C3=udata$GRIA1

#Multiple regression model for age estimation based on calibraion data
modelM=lm(formula=Age~C3+C2+C1)
predictions <- predict(modelM)
modelp=lm(formula=predictions~Age)
summary(modelp)

#Load data from test population
testData=read.csv('/home/simon/Projects/AgeMethylation/HumpbackAgeMethylationPaper/Data/EastCoastAustraliaSamplesCpGMeth.csv')
testData
id=testData$id
T1=testData$CDKN2A_1
T2=testData$TET_3
T3=testData$GRIA2_1

results <- c(1,length(T1))
for (a in 1:length(T1)){
  preds<-data.frame(C1=T1[a],C2=T2[a],C3=T3[a])
  p=predict(modelM,newdata=preds)
  pa=p[1]
  if (pa < 0){pa=0}
  results[a]=pa
}

#Make histogram for estimated ages
nonCalves=results[results>1&results<54]
summary(nonCalves)
cats=c(0,2,6,10,14,18,22,26,30,34,38,42,46,50,54)
hist(nonCalves,prob=T,breaks=cats,xaxp=c(2,54,13),ylim=c(0,0.08),yaxp=c(0.0,0.08,8),xlab='Ages',col=c('dark green',4,4,4,4,4,4,4,4,4,4,4,4,4,4), main ='(A) Distribution of ages estimated with HEAA')
abline(h=(seq(0,0.08,0.01)), col="gray", lty="dotted")
lines(density(nonCalves[nonCalves>=2]),col=2,lw=2)
box(bty='o')
nonCalves
summary(nonCalves)

#Make histogram for simulated ages
y=rexp(10000,rate=(1/mean(nonCalves)))
hist(y[y>2&y<53],prob=T,col='blue',breaks=cats,xaxp=c(2,54,13),ylim=c(0,0.08),yaxp=c(0.0,0.08,8),xlab='Ages',main='(B) Negative exponential distribution of ages')
lines(density(y[y>2]),col=2,lw=2)
#abline(v=(seq(2,54,4)), col="gray", lty="dotted")
abline(h=(seq(0,0.08,0.01)), col="gray", lty="dotted")
box(bty='o')
#hist(y,breaks=cats)
summary(y)
ks.test(y[y>=2],nonCalves[nonCalves>=2])
