tdata=read.csv('/home/simon/Projects/AgeMethylation/HumpbackAgeMethylationPaper/Data/CalibrationSamplesCpGMeth.csv')
tdata
par(mfrow=c(1,3),pty='s')
Age=tdata$Age
sex=tdata$Sex
plotCol<-c(1:length(sex))
plotChr<-c(1:length(sex))
for (a in 1:length(sex)){
  if (sex[a]=='Male'){plotCol[a]='Blue'
  plotChr[a]=2}
  if (sex[a]=='Female'){plotCol[a]='Dark Green'
  plotChr[a]=1}
  if (sex[a]=='Negative'){plotCol[a]='Black'
  plotChr[a]=4}
} 

C1=tdata$TET_C
C2=tdata$CDK2NA_A
C3=tdata$GRIA1

modelC1=lm(C1~Age)
C1ajr=signif(summary(modelC1)$adj.r.squared,3)
C1ajr=toString(C1ajr)
C1ajr=paste('R2 =',C1ajr)
C1f=signif(summary(modelC1)$coefficients[2,4],3)
C1f=toString(C1f)
C1f=paste(' p = ',C1f)
plot(C1~Age,xaxp=c(0,30,6),cex=2,col=plotCol,pch=plotChr,labels=TRUE,xlab='Known Age',ylab='CpG % methylation',xlim=c(-2,32),ylim=c(5,30),main='(A) TET2_CpG+31')
abline(v=(seq(0,30,5)), col="gray", lty="dotted")
abline(h=(seq(5,30,5)), col="gray", lty="dotted")
C1ajr=paste(C1ajr,C1f)
legend('topleft',cex=0.6,ncol=1,legend=c(C1ajr))
abline(modelC1,col='red')

modelC2=lm(C2~Age)
C2ajr=signif(summary(modelC2)$adj.r.squared,3)
C2ajr=toString(C2ajr)
C2ajr=paste('R2 = ',C2ajr)
C2f=signif(summary(modelC2)$coefficients[2,4],3)
C2f=toString(C2f)
C2f=paste(' p = ',C2f)
plot(C2~Age,xaxp=c(0,30,6),cex=2,col=plotCol,pch=plotChr,labels=TRUE,xlab='Known Age',ylab='CpG % methylation',xlim=c(-2,32),ylim=c(1,5),yaxp=c(1,5,8),main='(B) CDK2NA_CpG+297')
abline(v=(seq(0,30,5)), col="gray", lty="dotted")
abline(h=(seq(1,5,0.5)), col="gray", lty="dotted")
C2ajr=paste(C2ajr,C2f)
legend('topleft',cex=0.6,ncol=1,legend=c(C2ajr))
abline(modelC2,col='red')

modelC3=lm(C3~Age)
summary(modelC3)
C3ajr=signif(summary(modelC3)$adj.r.squared,3)
C3ajr=toString(C3ajr)
C3ajr=paste('R2 = ',C3ajr)
C3f=signif(summary(modelC3)$coefficients[2,4],3)
C3f=toString(C3f)
C3f=paste(' p = ',C3f)
plot(C3~Age,xaxp=c(0,30,6),cex=2,labels=TRUE,col=plotCol,pch=plotChr,xlab='Known Age',ylab='CpG % methylation',xlim=c(-2,32),ylim=c(1.0,3.5),main='(C) GRIA2_CpG+202')
abline(v=(seq(0,30,5)), col="gray", lty="dotted")
abline(h=(seq(1,3.5,0.5)), col="gray", lty="dotted")
C3ajr=paste(C3ajr,C3f)
legend('topleft',cex=0.6,ncol=1,legend=c(C3ajr))
abline(modelC3,col='red')

#Tests for covariance of male and female CpG values
acmod1 <- aov(C1~Age*Sex,data=tdata)
summary(acmod1)
acmod2 <- aov(C2~Age*Sex,data=tdata)
summary(acmod2)
acmod3 <- aov(C3~Age*Sex,data=tdata)
summary(acmod3)


