replicates=10000
SD=2.991
maxAge=100
ageDiff=5
#plot.new()
par(mfrow=c(1,3),pty='s')
par(family='sans',font=1)

cumulNegExp <- function(cats,rate){
  y=pexp(cats,rate=1/rate)
  y=1-y
  y=y/sum(y)
  x<-c(1:length(y))
  y
  sum(y)
  z<-c(rep(0,length(y)))
  t=0
  for (a in 1:length(y)){
    t=t+y[a]
    z[a]=t
  }
  z<-c(0,z)
  return (z)
}

ages<-c(1:maxAge)
ageCats<-c(1:maxAge)
#ageCats=ageCats*4
#ageCats=ageCats+2
#ageCats<-c(2,ageCats)

ageDiffs<-c(1:maxAge)
ageDiffResults<-c(1:maxAge)
for (a in 1:length(ageDiffs)){
  wrong=0
  for (b in 1:replicates){
    estParent<-rnorm(1,mean=a,sd=SD)
    estOffspring<-rnorm(1,mean=1,sd=SD)
    if (estOffspring>estParent){wrong=wrong+1}
  }
  ageDiffResults[a]=1-(wrong/replicates)
}
yy=ageDiffResults[1:21]
xx=ageDiffs[1:21]
plot(yy~xx,col='blue',cex=2,type='o',xlab='Age difference',ylab='Proportion correct',main='(A) HEAA ordinal ageing performance')
abline(v=(seq(0,20,5)), col="gray", lty="dotted")
abline(h=(seq(0.5,1.0,0.1)), col="gray", lty="dotted")

#cats=c(0,2,6,10,14,18,22,26,30,34,38,42,46,50,54)
cats<-c(1:100)
aProps1=cumulNegExp(cats,10.1)
aProps2=cumulNegExp(cats,21.8)
aPropsD1=1-aProps1
aPropsD2=1-aProps2
xAx<-c(1:length(aProps1))
range<-c(1:100)
plot(aPropsD2[range]~cats[range],type='o',col=4,,cex=2,xlab='Age',ylab='Proportion',main='(B) Negative exponential distributions of age ')
points(aPropsD1[range]~cats[range],type='o',col=2,cex=2)
abline(v=(seq(0,100,10)), col="gray", lty="dotted")
abline(h=(seq(0,1.0,0.2)), col="gray", lty="dotted")

#Get parent ages
minParent=aProps1[ageDiff]
r1=runif(10000,min=minParent,max=1.0)
#r1
#For each parent, get a lower offspring age
intervals1<-c(1:length(r1))
for (a in intervals1){
  o=runif(1,min=0,max=r1[a])
  intervals1[a]=o
}
ints1<-cut(intervals1,breaks=aProps1)
ints1=as.numeric(summary(ints1))

#Get parent ages
minParent=aProps2[ageDiff]
r2=runif(10000,min=minParent,max=1.0)
#r1
#For each parent, get a lower offspring age
intervals2<-c(1:length(r2))
for (a in intervals2){
  o=runif(1,min=0,max=r1[a])
  intervals2[a]=o
}
ints2<-cut(intervals2,breaks=aProps2)
ints2=as.numeric(summary(ints2))

propInts1=prop.table(ints1)
propInts2=prop.table(ints2)

range=c(1:50)
arange=c(5:54)
plot(propInts1[range]~ages[arange],col=2,cex=2,xaxp=c(5,55,10),ylim=c(0,0.16),yaxp=c(0,0.16,8),type='o',xlab='Age difference',ylab='Proportion',main='(C) Distributions of parent-offspring age intervals')
points(propInts2[range]~ages[arange],col=4,cex=2,type='o')
abline(v=(seq(5,55,5)), col="gray", lty="dotted")
abline(h=(seq(0,0.16,0.02)), col="gray", lty="dotted")

ageGap<-c(rep(0,ageDiff-1))
ints1<-c(ageGap,ints1)
#ints1
propInts1<-c(ageGap,propInts1)
propInts2<-c(ageGap,propInts1)
propInts1
ageDiffResults
AA=propInts1[1:90]*ageDiffResults[1:90]
sum(AA)
AA=propInts2[1:90]*ageDiffResults[1:90]
sum(AA)

cumulNegExp(c(0,30,95),10.1)
