udata=read.csv('/home/simon/Projects/AgeMethylation/HumpbackAgeMethylationPaper/Data/CalibrationSamplesCpGMeth.csv')
tdata <- udata[order(udata$Age),]
rownames(tdata) <- NULL
Age=tdata$Age
id=tdata$i.d.
C1=tdata$CDK2NA_A
C2=tdata$TET_C
C3=tdata$GRIA1
C4=tdata$TET2
C5=tdata$CDK2NA_C

par(mfrow=c(1,2),pty='s')

#Multiple regression
modelM=lm(formula=Age~C3+C2+C1)
predictions <- predict(modelM)
modelp=lm(formula=predictions~Age)

#Perform LOOCV to get range of predictions around regression, corrected for y intercept
removeOne <- function(dat,x) {
  list=seq(1,dat)
  x=x-1
  v1=c(list[1:x])
  x=x+2
  v2=c(list[x:length(list)])
  data=c(v1,v2)
  return (data)}

summary(modelp)

coeff=summary(modelp)$coefficients
yInt=coeff[1,1]
R2=summary(modelp)$adj.r.squared
scale1=yInt/max(Age)
scaling=1+(1-R2)+scale1
scaling2=1+(1-R2)

nSamples=length(Age)
predictions2 <- c(1:nSamples)
predictions3 <- c(1:nSamples)
for (z in 1:nSamples)
  {
  indices=removeOne(nSamples,z)
  modelM=lm(formula=Age[indices]~C1[indices]+C2[indices]+C3[indices])
  newdata=data.frame(C1=C1[z],C2=C2[z],C3=C3[z])
  p=predict(modelM,newdata)
  predictions2[z]=p 
  p=(p*scaling)-yInt
  predictions3[z]=p
  }

differences <- c(1:nSamples)
for (z in 1:nSamples)
{
  diff=Age[z]-predictions2[z]
  #if (diff<0){diff=diff*-1}
  differences[z]=diff
}

#Sumarise
differences
shapiro.test(differences)

#Graphs
#qqnorm(differences,col='blue',cex=2)
#qqline(differences,lty=2,col='red')
#hist(differences,breaks=10,prob=T,col='blue')
#lines(density(differences),col=2)

par(mfrow=c(2,2),pty='s')
plot(modelp,cex=2,col=4)

